---
# vol zfs tasks

# create zpool on device
- name: '{{ role_namespace }}.create.zpool'
  shell: 'zpool get comment {{ FS_PROPERTIES.name }} || zpool create -f -m none {{ FS_PROPERTIES.name }} $(readlink -f {{ FS_PROPERTIES.device }})'
  register: fsCreate
  changed_when: (FS_PROPERTIES.name not in fsCreate.stdout)

# create and mount zfs filesystem
- name: '{{ role_namespace }}.create.zfs.volume'
  zfs:
    name: '{{ FS_PROPERTIES.name }}/fs'
    state: present
    extra_zfs_properties:
      mountpoint: '{{ FS_PROPERTIES.path }}'


# eof
